package sample;
import java.io.*;
import java.time.LocalDate;

public class OStreamExample {
	public static void main(String[] args) {
		
		String path = "ostream.dat";
		
		try(ObjectOutputStream out = 
				new ObjectOutputStream(new BufferedOutputStream(new FileOutputStream(path)));){
			
			out.writeInt(12345);
			out.writeUTF("文字列abc");
			out.writeObject(LocalDate.now());
			
		} catch (IOException e) {
			e.printStackTrace();
		}

		try(ObjectInputStream in = 
				new ObjectInputStream(new BufferedInputStream(new FileInputStream(path)));){
			
			int number = in.readInt();
			String str = in.readUTF();
			LocalDate date = (LocalDate)in.readObject();
			
			System.out.println(number + "\t" + str + "\t" + date);
			
		} catch (IOException | ClassNotFoundException e) {
			e.printStackTrace();
		}
	}
}
